package com.ticketSystem;

/**
 * this Class represent ticket of flight which passenger booked it.
 * it has 4 fields:
 * -chairNumber: it shows that which chair passenger should seat on it.
 * -flightNumber: a specific number differentiate this flight to others.
 * -amountOfBaggage: how many baggage does passenger has?
 * -foodReserve: does passenger wants to reserve food or not?
 *
 * @author Soroush Mehraban
 * @version  1.0.0
 */
public class Ticket {
    private int chairNumber;
    private int flightNumber;
    private int amountOfBaggage;
    private boolean foodReserve;

    /**
     * constructor of this class.
     *
     * @param chairNumber chair number for reservation.
     * @param flightNumber a specific number for flight.
     * @param amountOfBaggage how many baggage does passenger has.
     * @param foodReserve does passenger wants food or not.
     */
    public Ticket(int chairNumber,int flightNumber, int amountOfBaggage, boolean foodReserve){
        this.chairNumber = chairNumber;
        this.flightNumber = flightNumber;
        this.amountOfBaggage = amountOfBaggage;
        this.foodReserve = foodReserve;
    }

    /**
     * getting Flight number.
     *
     * @return flight number as int.
     */
    public int getFlightNumber() {
        return flightNumber;
    }

    /**
     * getting chair number.
     *
     * @return chair number as int.
     */
    public int getChairNumber() {
        return chairNumber;
    }

    /**
     * getting amount of baggage.
     *
     * @return amount of baggage as int.
     */
    public int getAmountOfBaggage() {
        return amountOfBaggage;
    }

    /**
     * demonstrate that passenger wants food or not.
     *
     * @return boolean.
     */
    public boolean isFoodReserve() {
        return foodReserve;
    }
}
