package test;

import com.ticketSystem.Airplane;
import com.ticketSystem.Chair;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;

import static org.junit.jupiter.api.Assertions.assertArrayEquals;
import static org.junit.jupiter.api.Assertions.assertEquals;
/**
 * this class test usage of Airplane Class
 *
 * @author Soroush Mehraban
 * @version 1.0.0
 *
 */
public class AirplaneTest {
    static Airplane airplane;
    static Chair chair;
    static Chair chair2;
    static Chair chair3;

    @BeforeAll
    public static void createAirplane(){
        airplane = new Airplane("Boeing-757","IranAir");
        chair = new Chair(23,"First Class");
        chair2 = new Chair(31,"Economic Class");
        chair3 = new Chair(42,"Business Class");
        airplane.addChair(chair);
        airplane.addChair(chair2);
        airplane.addChair(chair3);
    }

    @Test
    @DisplayName("Test getAllChairs")
    public void getAllchairsTest(){
        ArrayList<Chair> testChairs = new ArrayList<Chair>();
        testChairs.add(chair);
        testChairs.add(chair2);
        testChairs.add(chair3);
        Chair[] expectedArr = testChairs.toArray(new Chair[testChairs.size()]);
        Chair[] realArr = airplane.getAllChairs().toArray(new Chair[airplane.getAllChairs().size()]);
        assertArrayEquals(expectedArr,realArr);

    }

    @Test
    @DisplayName("Test Airplane Type")
    public void getAirplaneTypeTest(){
        assertEquals("Boeing-757",airplane.getType());
    }
    @Test
    @DisplayName("Test Airplane Airline")
    public void getAirplaneAirlineTest(){
        assertEquals("IranAir",airplane.getAirline());
    }
}
