package test;

import com.ticketSystem.*;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class CustomerTest {
    static Customer customer;
    static Airline airline;
    private static Flight flight;
    private static Date date;
    private static Airplane airplane;
    static Chair chair;

    @BeforeAll
    static void createCustomer(){
        airline = new Airline();
        date = new Date("4.23.2019","7:30PM");
        airplane = new Airplane("Boeing-757","IranAir");
        chair = new Chair(23,"First Class");
        airplane.addChair(chair);
        flight = new Flight(date,"Tehran","Mashhad",airplane,3);
        airline.addFlight(flight);
        customer = new Customer("Soroush","Mehraban",123, airline);
    }

    @Test
    @DisplayName("Adding ticket test")
    void addingTicketTest(){
        customer.addFlight(flight);
        customer.addTicket(flight,23,4,true);
        Ticket ticket = new Ticket(23,flight.getFlightNumber(), 4,true);
        Ticket[] customerTickets = customer.getTickets().toArray(new Ticket[customer.getTickets().size()]);
        assertEquals(customerTickets[0].getAmountOfBaggage(), ticket.getAmountOfBaggage());
        assertEquals(customerTickets[0].isFoodReserve(), ticket.isFoodReserve());
        assertEquals(customerTickets[0].getFlightNumber(), ticket.getFlightNumber());
        assertEquals(customerTickets[0].getChairNumber(), ticket.getChairNumber());
    }

}
