package test;

import com.ticketSystem.Airplane;
import com.ticketSystem.Date;
import com.ticketSystem.Flight;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
/**
 * this class test usage of Flight Class
 *
 * @author Soroush Mehraban
 * @version 1.0.0
 *
 */
public class FlightTest {
    private static Flight flight;
    private static Date date;
    private static Airplane airplane;
    @BeforeAll
    static void createFlight(){
        date = new Date("4.23.2019","7:30PM");
        airplane = new Airplane("Boeing-757","IranAir");
        flight = new Flight(date,"Tehran","Mashhad",airplane,3);
    }

    @Test
    @DisplayName("Test Date and Time")
    void getDateTest(){
        assertEquals("4.23.2019",flight.getDateAndTime().getDate());
        assertEquals("7:30PM",flight.getDateAndTime().getTime());
    }

    @Test
    @DisplayName("Origin and destination test")
    void getOriginAndDestinationTest(){
        assertEquals("Tehran",flight.getOrigin());
        assertEquals("Mashhad",flight.getDestination());
    }

    @Test
    @DisplayName("Type and Airline and flight number test")
    void getTypeAndAirlineAndFlightNumberTest(){
        assertEquals("Boeing-757",flight.getAirplaneType());
        assertEquals("IranAir",flight.getAirplaneAirline());
        assertEquals(3,flight.getFlightNumber());
    }

}
